import { WebhookSchema } from '../../schemas/webhook/WebhookSchema';
declare class Webhook {
    id: string;
    app: string;
    url: string;
    authType: string;
    apiKeyName?: string;
    apiKeyValue?: string;
    apiSecretName?: string;
    apiSecretValue?: string;
    meta?: any;
    constructor(values: Webhook);
    isValid(): Promise<boolean>;
    validate(): Promise<any>;
}
export { Webhook, WebhookSchema };
